Name:           gnome-desktop3
Version:        3.38.6
Release:        1
Summary:        GNOME is designed to help you use your computer in control.
License:        GPLv2+ and LGPLv2+
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/gnome-desktop/3.38/gnome-desktop-%{version}.tar.xz

BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.36.5 pkgconfig(gio-2.0) >= 2.53.0 pkgconfig(libudev)
BuildRequires:  pkgconfig(glib-2.0) >= 2.53.0 pkgconfig(gobject-introspection-1.0) gtk-doc >= 1.14
BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= 3.27.0 pkgconfig(iso-codes) gettext itstool
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.6 pkgconfig(libseccomp) pkgconfig(xkeyboard-config) 
BuildRequires:  gtk-doc meson

Requires:       bubblewrap  glib2 >= 2.53.0
Requires:       gdk-pixbuf2 >= 2.36.5 gsettings-desktop-schemas >= 3.27.0

Conflicts:      gnome-shell < 3.7.90
Obsoletes:      compat-gnome-desktop310 < 3.12

%description
The gnome-desktop3 package has been designed from the ground up to help you have
the best computing experience.

%package devel
Summary:   Development files for gnome-desktop3
License:   LGPLv2+
Requires:  %{name} = %{version}-%{release}

Provides:  %{name}-tests = %{version}-%{release}
Obsoletes: %{name}-tests < %{version}-%{release}

%description devel
Development files for gnome-desktop3.

%prep
%autosetup -n gnome-desktop-%{version} -p1

%build
%meson -Dgtk_doc=true -Dinstalled_tests=true
%meson_build

%install
%meson_install

%find_lang gnome-desktop-3.0 --all-name --with-gnome

%files -f gnome-desktop-3.0.lang
%doc AUTHORS NEWS README
%license COPYING COPYING.LIB
%{_datadir}/gnome/gnome-version.xml
%{_libexecdir}/gnome-rr-debug
%{_libdir}/libgnome-desktop-3.so.*
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%{_libexecdir}/installed-tests/gnome-desktop

%{_datadir}/installed-tests
%{_datadir}/gir-1.0/GnomeDesktop-3.0.gir
%doc %{_datadir}/gtk-doc/html/gnome-desktop3/
%exclude %{_libdir}/*.la

%changelog
* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.6-1
- Upgrade to 3.38.6
- Update Version, BuildRequires, stage install

* Sat Jan 30 2021 yanglu <yanglu60@huawei.com> - 3.38.3-1
- update to 3.38.3

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-3
- change the path of files

* Wed Sep 18 2019 Lijin Yang <yanglijin@huawei.com> - 3.30.1-2
- Package init
